BEA-000386: SecurityInitializationException: The loading of an OPSS java security policy provider failed due to an exception (DB OPSS password has been changed recently) (Doc ID 2206451.1)

Last updated on FEBRUARY 11, 2017

Applies to:

Oracle WebLogic Server - Version 10.3.6 and later
Oracle Platform Security for Java - Version 11.1.1.1.0 and later
Information in this document applies to any platform.

Symptoms

The WLS AdminServer for the domain doesn't start.

The following errors can be seen from the AdminServer.log file:

####<Nov 22, 2016 1:59:45 PM GMT> <Critical> <WebLogicServer> <ACPIRES-LAP> <AdminServer> <main> <<WLS Kernel>> <> <> <1479823185840> <BEA-000386> <Server subsystem failed. Reason: A MultiException has 10 exceptions. They are:

1. weblogic.security.SecurityInitializationException: The loading of an OPSS java security policy provider failed due to an exception. See the exception stack trace or the server log file for the root cause. If there is no obvious cause, enable the debug flag -Djava.security.debug=jpspolicy to get more information. Error message: null

2. java.lang.IllegalStateException: Unable to perform operation: post construct on weblogic.security.PreSecurityService

3. java.lang.IllegalArgumentException: While attempting to resolve the dependencies of weblogic.security.SecurityService errors were found

4. java.lang.IllegalStateException: Unable to perform operation: resolve on weblogic.security.SecurityService

5. java.lang.IllegalArgumentException: While attempting to resolve the dependencies of weblogic.jndi.internal.RemoteNamingService errors were found

6. java.lang.IllegalStateException: Unable to perform operation: resolve on weblogic.jndi.internal.RemoteNamingService

7. java.lang.IllegalArgumentException: While attempting to resolve the dependencies of weblogic.management.mbeanservers.runtime.internal.RuntimeServerService errors were found

8. java.lang.IllegalStateException: Unable to perform operation: resolve on weblogic.management.mbeanservers.runtime.internal.RuntimeServerService

9. java.lang.IllegalArgumentException: While attempting to resolve the dependencies of weblogic.cacheprovider.CacheProviderServerService errors were found

10. java.lang.IllegalStateException: Unable to perform operation: resolve on weblogic.cacheprovider.CacheProviderServerService

Caused By: weblogic.security.SecurityInitializationException: The loading of an OPSS java security policy provider failed due to an exception. See the exception stack trace or the server log file for the root cause. If there is no obvious cause, enable the debug flag -Djava.security.debug=jpspolicy to get more information. Error message: null

at weblogic.security.service.CommonSecurityServiceManagerDelegateImpl.loadOPSSPolicy(CommonSecurityServiceManagerDelegateImpl.java:1487)

at weblogic.security.service.CommonSecurityServiceManagerDelegateImpl.preInitialize(CommonSecurityServiceManagerDelegateImpl.java:1090)

at weblogic.security.service.SecurityServiceManager.preInitialize(SecurityServiceManager.java:925)

at weblogic.security.PreSecurityService.start(PreSecurityService.java:139)

at weblogic.server.AbstractServerService.postConstruct(AbstractServerService.java:78)

at sun.reflect.GeneratedMethodAccessor18.invoke(Unknown Source)

Caused By: java.lang.reflect.InvocationTargetException

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:606)

at weblogic.security.service.CommonSecurityServiceManagerDelegateImpl.startJPS(CommonSecurityServiceManagerDelegateImpl.java:1499)

at weblogic.security.service.CommonSecurityServiceManagerDelegateImpl.loadOPSSPolicy(CommonSecurityServiceManagerDelegateImpl.java:1422)

at weblogic.security.service.CommonSecurityServiceManagerDelegateImpl.preInitialize(CommonSecurityServiceManagerDelegateImpl.java:1090)

Caused By: oracle.security.jps.JpsException: oracle.security.jps.service.policystore.PolicyStoreException: javax.persistence.PersistenceException: Exception [EclipseLink-4002] (Eclipse Persistence Services - 2.5.2.v20140319-9ad6abd): org.eclipse.persistence.exceptions.DatabaseException

Internal Exception: java.sql.SQLException: ORA-28000: the account is locked

Error Code: 28000

at oracle.security.jps.internal.config.OpssCommonStartup.start(OpssCommonStartup.java:211)

at oracle.security.jps.wls.JpsWlsStartup.start(JpsWlsStartup.java:80)

at oracle.security.jps.JpsStartup.start(JpsStartup.java:186)

 You may also see ORA-001017 while starting the WLS AdminServer.

Changes

The OPSS schema password has be reset or changed recently. 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms